import { register } from "@antv/x6-react-shape";
import { Node } from "@antv/x6";
import { ports, defaultData } from "./data";
import { useSizeHook } from "@/hooks";
const component = ({ node }: { node: Node }) => {
  const { fill, stroke, opacity } = node.getData();
  const { size, ref } = useSizeHook();

  return (
    <>
      <div
        className="relative text-0 w-full h-full"
        ref={ref}
        style={{ opacity: opacity / 100 }}
      >
        
      </div>
    </>
  );
};

register({
  shape: "custom-react-code",
  width: 100,
  height: 100,
  effect: ["data"],
  component: component,
});

const codeBlock = {
    shape: "custom-react-code",
    data: {
      label: "",
      ...defaultData,
    },
    ports,
  };

export default codeBlock;
